from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.task import XInteractionContinuation

@runtime_checkable
class XInteractionFilterOptions(XInteractionContinuation, Protocol):
    def setFilterOptions(self, rProperties: PropertyValue >) -> None: ...
    def getFilterOptions(self) -> list[PropertyValue]: ...
